Subject: [alpine-devel] [PATCH] new aport: libasr

From: ScrumpyJack <[email-masked]>
Date: Wed, 20 May 2015 16:34:37 +0000 (UTC)

libasr is a free, simple and portable asynchronous resolver library
---
 testing/libasr/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/libasr/APKBUILD

diff --git a/testing/libasr/APKBUILD b/testing/libasr/APKBUILD
new file mode 100644
index 0000000..457ead0
--- /dev/null
+++ b/testing/libasr/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=libasr
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="libasr is a free, simple and portable asynchronous resolver library"
+url="http://www.opensmtpd.org"
+arch="all"
+license="ISC"
+depends=""
+depends_dev=""
+makedepends="mdocml bison openssl-dev libevent-dev automake autoconf libtool"
+install=""
+subpackages="$pkgname-dev"
+source="https://www.opensmtpd.org/archives/${pkgname}-${pkgver}.tar.gz"
+options="libtool"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --with-pie \
+                    --prefix=/usr \
+                    --mandir=/usr/share/man \
+                    --with-mantype=man || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR=${pkgdir} install || return 1
+        find "$pkgdir" -name '*.la' -delete || return 1
+}
+
+md5sums="ca46c5f24846598f9fd2322c265f5313  libasr-1.0.1.tar.gz"
+sha256sums="262471e312d623e4951a133ed4c16a74d57f0a02554ca4ed7b4b575456620182  libasr-1.0.1.tar.gz"
+sha512sums="94afed300327622e597d3678525b0d30a0a4a812966040a92a7b7b73beebb2209c7e6931cea07841aba745e14cda6df0dea9a7e098a94121768850e1d0e8d5ef  libasr-1.0.1.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---